package com.younike.hlpay.dto;

import lombok.Data;

import java.math.BigDecimal;

/**
 * @author chenpengfei
 */
@Data
public class BillInfo {
    // 营销规则字符串
    private String marketingRuleStr;
    // 营销金额
    private BigDecimal marketingAmount;
    // 分账规则字符串
    private String splitBillRule;
    // 配送方式(001:骑手配送  002:商家自送)
    private String deliveryType;
    // 微信OpenId
    private String openId;

    private BigDecimal orderAmount;
}
