package com.younike.wxpay.params;

import lombok.Data;

import javax.validation.constraints.NotNull;

/** 金额 */
@Data
public class Amount {

    @NotNull(message = "订单总金额不能为空")
    private Integer total;

    /* CNY：人民币，境内商户号仅支持人民币。 */
    private String currency;

}
