package com.younike.wxpay.params;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;

/** 订单商品详情 */
@Data
public class GoodsDetail {

    @NotBlank(message = "商户侧商品编码不能为空")
    private String merchant_goods_id;

    /* 微信支付商品编码 */
    private String wechatpay_goods_id;

    /* 商品名称 */
    private String goods_name;

    @NotEmpty(message = "商品数量不能为空")
    private Integer quantity;

    @NotEmpty(message = "商品单价不能为空")
    private Integer unit_price;

}
