package com.younike.wxpay.params;

import lombok.Data;

import javax.validation.constraints.NotBlank;

/** 支付场景描述 */
@Data
public class SceneInfo {

    @NotBlank(message = "用户终端IP不能为空")
    private String payer_client_ip;

    /* 商户端设备号（门店号或收银设备ID） */
    private String device_id;

    /* 商户门店信息 */
    private StoreInfo storeInfo;

}
