package com.younike.system.domain;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 *
 */
@ApiModel("地址查询接受参数")
@Data
public class AddressParam implements Serializable {

    private String communityName;
    /**
     * 省
     */
    private String province;
    /**
     * 市
     */
    private String city;
    /**
     *区
     */
    private String area;

    /**
     * 具体地址
     */
    private String address;

    /**
     * 经度
     */
    private BigDecimal lng;

    /**
     * 维度
     */
    private BigDecimal lat;

    /**
     * 房屋id
     */
    private Long building;

    /**
     * 门牌号
     */
    private String doorplate;

    /**
     * 房产
     */
    private String houseInfo;

    /**
     * 手机号
     */
    private String phone;

   private String sign;

}
