package com.younike.system.domain;

import com.younike.common.annotation.Excel;
import lombok.Data;
import com.younike.common.core.domain.BaseEntity;

/**
 * 商户代理商对象 agent
 * 
 * @author dail
 * @date 2022-03-08
 */
@Data
public class Agent extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** 代理商id */
    private Long agentId;

    /** 代理商编号 */
    @Excel(name = "代理商编号")
    private String agentIndex;

    /** 代理商名称 */
    @Excel(name = "代理商名称")
    private String agentName;

    /** 代理商联系人 */
    @Excel(name = "代理商联系人")
    private String agentContactName;

    /** 代理商联系方式 */
    @Excel(name = "代理商联系方式")
    private String agentContactPhone;

    /** 分账比例 */
    @Excel(name = "分账比例")
    private String commissionRate;

    /** 微信商户号 */
    @Excel(name = "微信商户号")
    private String wxAccount;

    /** 支付宝商户号 */
    @Excel(name = "支付宝商户号")
    private String aliAccount;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 预留字段1 */
    @Excel(name = "预留字段1")
    private String column1;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column2;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column3;

}
