package com.younike.system.domain;

import com.younike.common.annotation.Excel;
import lombok.Data;
import com.younike.common.core.domain.BaseEntity;

/**
 * 分类维度对象 cate_dimension
 * 
 * @author elev
 * @date 2022-01-04
 */
@Data
public class CateDimension extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 维度ID */
    @Excel(name = "维度ID")
    private Long dimensionId;

    /** 分类ID */
    @Excel(name = "分类ID")
    private Long categoryId;

    /** 删除标志（0代表存在 2代表删除） */
    private Integer delFlag;

    /** 预留字段1 */
    @Excel(name = "预留字段1")
    private String column1;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column2;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column3;


}
