package com.younike.system.domain;

import com.younike.common.annotation.Excel;
import com.younike.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 【请填写功能名称】对象 goods_comment_dimension
 *
 * @author elev
 * @date 2022-01-06
 */
@Data
public class GoodsCommentDimension extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String commentId;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String dimensionId;

    /** 评分 */
    @Excel(name = "评分")
    private BigDecimal score;

    /** 删除状态 */
    @Excel(name = "删除状态")
    private Integer isDel;

    /** 乐观锁版本号 */
    @Excel(name = "乐观锁版本号")
    private Integer version;

}
