package com.younike.system.domain;

import com.younike.common.annotation.Excel;
import lombok.Data;
import com.younike.common.core.domain.BaseEntity;

/**
 * 评价资源对象 goods_comment_resource
 *
 * @author elev
 * @date 2022-01-05
 */
@Data
public class GoodsCommentResource extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long recourceId;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long commentId;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long merchantId;

    /**
     * 001 图片 002 视频
     */
    @Excel(name = "001 图片 002 视频")
    private String type;

    /**
     * 资源地址
     */
    @Excel(name = "资源地址")
    private String url;

    /**
     * 视频资源封面
     */
    @Excel(name = "视频资源封面")
    private String faceImg;

    /**
     * 删除状态
     */
    @Excel(name = "删除状态")
    private Integer isDel;

    /**
     * 乐观锁版本号
     */
    @Excel(name = "乐观锁版本号")
    private Integer version;


}
