package com.younike.system.domain;

import com.younike.common.annotation.Excel;
import com.younike.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 首页轮播对象 index_banner
 * 
 * @author elev
 * @date 2022-01-13
 */
@Data
public class IndexBanner extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 图片资源地址 */
    @Excel(name = "图片资源地址")
    private String urlImg;

    /**
     * 业务类型（1：家政；2：维修）
     */
    private Integer bizType;

    /** 跳转link */
    @Excel(name = "跳转link")
    private String link;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 投诉热线 */
    private String complaintHotline;

}
