package com.younike.system.domain;

import com.younike.common.annotation.Excel;
import lombok.Data;
import com.younike.common.core.domain.BaseEntity;

/**
 * 积分记录对象 integral_record
 * 
 * @author elev
 * @date 2022-01-14
 */
@Data
public class IntegralRecord extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 变动数量 */
    @Excel(name = "变动数量")
    private Integer change;

    /** 积分变动类型 */
    @Excel(name = "积分变动类型")
    private String reason;

    /** 执行结果（1：成功，0失败） */
    @Excel(name = "执行结果", readConverterExp = "1=：成功，0失败")
    private Integer result;

    /** 积分变动信息（错误时，记录请求参数） */
    @Excel(name = "积分变动信息", readConverterExp = "错=误时，记录请求参数")
    private String msg;


}
