package com.younike.system.domain;

import com.younike.common.annotation.Excel;
import lombok.Data;
import com.younike.common.core.domain.BaseEntity;

/**
 * 商户结算信息对象 merchant_settle_info
 *
 * @author elev
 * @date 2022-01-10
 */
@Data
public class MerchantSettleInfo extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** 店铺ID */
    private Long merchantId;

    /** 商户邮箱 */
    @Excel(name = "商户邮箱")
    private String email;

    /** 商户编号 */
    @Excel(name = "商户编号")
    private String merchantNo;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 预留字段1 */
    @Excel(name = "预留字段1")
    private String column1;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column2;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column3;


}
