package com.younike.system.domain;

import com.younike.common.annotation.Excel;
import lombok.Data;
import com.younike.common.core.domain.BaseEntity;

/**
 * 发布需求图片对象 publish_image
 *
 * @author elev
 * @date 2022-01-20
 */
@Data
public class PublishImage extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long imageId;

    /** 发布需求Id */
    @Excel(name = "发布需求Id")
    private Long publishId;

    /** 资源地址 */
    @Excel(name = "资源地址")
    private String url;

    /** 视频图片资源 */
    @Excel(name = "视频图片资源")
    private String faceImg;

    /** 资源类型 code004 （001图片002视频） */
    @Excel(name = "资源类型 code004")
    private String type;

    /** 顺序 */
    @Excel(name = "顺序")
    private Integer sorting;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 预留字段1 */
    @Excel(name = "预留字段1")
    private String column1;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column2;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column3;


}
