package com.younike.system.domain;

import com.younike.common.annotation.Excel;
import lombok.Data;
import com.younike.common.core.domain.BaseEntity;

/**
 * 店铺端常量对象 sys_code
 * 
 * @author elev
 * @date 2022-01-10
 */
@Data
public class SysCode extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String codeId;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String codeValue;

    /** $column.columnComment */
    private String decodeId;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String decodeValue;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String comment;


}
