package com.younike.system.domain.vo;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description 运营管理后台首页本周Top5商家订单数据对象
 * @Author dail
 * @Date 2022/2/10
 */

@Data
public class MerchantOrderOfWeekVO implements Serializable {
    private static final long serialVersionUID = 1L;


    /**
     * 商家/个体户名称
     */
    private String merchantName;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 订单数
     */
    private Integer orderCount;

    /**
     * 订单金额
     */
    private BigDecimal orderAmount;

}
