package com.younike.system.domain.vo;

import com.younike.system.domain.ServerUser;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class ServerUserVo extends ServerUser {
    private String serverLevelName;
    private String merchantName;
    private String merchantType;
    private BigDecimal serviceDistance;
    private String detail;
    private int stopOrder;
    private Long orderNum;
    private BigDecimal orderAmount;
    private BigDecimal serverTime;
    /**
     * 订单金额是否显示
     */
    private Integer orderTotalAmountShow;
}
