package com.younike.system.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.time.LocalTime;

/**
 * 时间段落
 * @author chenpengfei
 */
@Data
@ApiModel("预约时间实体")
public class TimeSectionVO implements Serializable {
    private static final long serialVersionUID=1L;
    /**
     * 时间段 开始时间
     */
    @ApiModelProperty("时间段 开始时间")
    private LocalTime startTime;

    /**
     * 时间段 结束时间
     */
    @ApiModelProperty("时间段 结束时间")
    private LocalTime endTime;

    /**
     * 是否已可预约
     * false: 可预约； true：不可预约
     */
    @ApiModelProperty("是否已可预约（false: 可预约； true：不可预约）")
    private boolean booked;
}
