package com.younike.system.domain.vo;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description 运营管理后台首页今日订单数据对象
 * @Author dail
 * @Date 2022/2/10
 */

@Data
public class TodayOrderVO implements Serializable {
    private static final long serialVersionUID = 1L;


    /**
     * 订单数
     */
    private Integer orderCount;

    /**
     * 订单金额
     */
    private BigDecimal orderAmount;

    /**
     * 实收金额
     */
    private BigDecimal paidInAmount;

}
