package com.younike.system.domain.vo;

import com.younike.system.domain.Video;
import lombok.Data;

@Data
public class VideoVo extends Video {
    //类型名
    private String videoCategoryName;

    //父分类名
    private String parentCategoryName;

    //服务人员姓名
    private String serverName;

    //商家姓名
    private String merchantName;

    /*
    商家标识（0商家，1个人）
     */
    private Integer merchantType;


    // 商户用户id
    private Long adminId;

    /*
    商户头像
     */
    private String merchantAvatar;

    /**
     * 服务人员头像
     */
    private String serverAvatar;

    //父分类id
    private Long parentId;
}
