package com.younike.system.param;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 门岗通行证核查记录保存参数
 *
 * @author Dail
 */
@Data
public class AccessPasscodeVerifyRecordParam implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 门岗通行证id
     */
    @NotNull(message = "门岗通行证id不能为空")
    private Long accessPasscodeId;

    /**
     * 核查人手机号
     */
    private String verifierPhoneNum;

    /**
     * 核查人微信昵称
     */
    private String verifierWxNickname;

    /**
     * 核查人手机型号
     */
    private String verifierPhoneModel;
}
