package com.younike.system.param;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 门岗通行证核查记录查询参数
 *
 * @author Dail
 */
@Data
public class AccessPasscodeVerifyRecordQueryParam implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 门岗通行证id
     */
    @NotNull(message = "门岗通行证id不能为空")
    private Long accessPasscodeId;
}
