package com.younike.system.param;

import com.younike.common.core.domain.BaseEntity;
import lombok.Data;

import java.io.Serializable;

@Data
public class GoodsParam  extends BaseEntity {
    //条件1为服务人员 2 为商家
    private Integer type;

    //搜索条件
    private String name;

    /**
    *业务类型（1：家政；2：维修）
     */
    private Integer bizType;

    /**
     * 分类id
     */
    private Integer cateId;

    /**
     * 父分类id
     */
    private Integer parentId;

    //商品id
    private Long goodsId;

    //商家id
    private Long merchantId;

    //服务人员id
    private Long serverId;

    /**
     * 是否为团购服务(0：否，为预订服务；1：是，即团购服务；)
     */
    private String isGroupGoods;
}
