package com.younike.system.param;

import lombok.Data;

import java.io.Serializable;

@Data
public class MerchantQueryParam implements Serializable {
    /** 商户ID */
    private Long merchantId;

    /** 0商家 1个人 */
    private Integer merchantType;

    /** 商户名称 */
    private String merchantName;

    /** 商户编号 */
    private String merchantIndex;

    /** 手机号 */
    private String phonenumber;

    /** 姓名 */
    private String userName;


    /**
     * 店铺状态 code
     */
    private String shopState;

    /**
     * 店铺推广人手机
     */
    private String promoter;

    private String beginTime;

    private String endTime;

    private String nickName;
    private String businessState;

}
