package com.younike.system.param;

import lombok.Data;

import java.io.Serializable;

/**
 * @author zulu.chen
 * @date 服务人员请求参数
 */
@Data
public class ServerUserQueryParam implements Serializable {
    /**
     * 商家类型
     */
    private Integer merchantType;
    /**
     * 商家ID
     */
    private String merchantId;
    /**
     * 店铺名称
     */
    private String merchantName;

    /**
     * 店铺编号
     */
    private String merchantIndex;

    /**
     * 手机号
     */
    private String phone;
    /**
     * 姓名
     */
    private String realName;
    /**
     * 等级
     */
    private String serverLevel;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 工龄起始
     */
    private Integer serverAgeStart;

    /**
     * 工龄结束
     */
    private Integer serverAgeEnd;

    /**
     * 个体户手机号
     */
    private String phonenumber;

    /**
     * 正常接单 状态
     */
    private String StopOrderFor;
}
