const serverAddress = 'http://localhost:8099/store-api/';

const install = (Vue, vm) => {
	Vue.prototype.$u.http.setConfig({
		// baseUrl: 'https://member.uxianxin.com/api/member', // 正式
		// ossUrl: 'https://member.uxianxin.com/api', // 正式
		 baseUrl: 'http://test-member.uxianxin.com:8888/api/member',// 测试
        // baseUrl: 'http://192.168.0.119:6060',
		ossUrl: 'http://test-member.uxianxin.com:8888/api', // 测试

//		baseUrl: 'http://192.168.0.119:6060/member',
		// baseUrl: 'https://test-member.uxianxin.com:8888/api',
		// // baseUrl: 'http://test-member.uxianxin.com/api/member',
		// // ossUrl: 'http://test-member.uxianxin.com/api',
		// ossUrl: 'http://test-member.uxianxin.com:8888/api',
		dataType: 'json',
		showLoading: true, // 是否显示请求中的loading
		loadingText: '请求中...', // 请求loading中的文字提示
		loadingTime: 5000, // 在此时间内，请求还没回来的话，就显示加载中动画，单位ms
		originalData: false, // 是否在拦截器中返回服务端的原始数据
		loadingMask: true, // 展示loading的时候，是否给一个透明的蒙层，防止触摸穿透
		// header:{
		// 	'content-type': 'application/x-www-form-urlencoded'
		// }
	});

	Vue.prototype.$bizType = 1
	//旧系统图片上传后的前缀域名
	Vue.prototype.$oldImgUrl = 'http://wechat.yajkj.com';
	//新系统图片域名前缀
	Vue.prototype.$fileHost = 'http://fresh-life.oss-cn-shanghai.aliyuncs.com/'

	// 请求拦截，配置Token等参数
	Vue.prototype.$u.http.interceptor.request = (config) => {
		const token = uni.getStorageSync('token');
		const secret = uni.getStorageSync('secret');
		config.header.Authorization = token;
		config.header.secret = secret;
		return config;
	}

	// 响应拦截，判断状态码是否通过
	Vue.prototype.$u.http.interceptor.response = (res) => {

		// console.log(JSON.stringify("------------"))
		// console.log(JSON.stringify(res))
		// console.log(res)
		if (res.code == 200) {
			// console.log("11111")

			return res;
		} else if (res.code == 401 || res.code == 400) {
			// console.log("22222")
			uni.showModal({
				title: "提示",
				content: '当前用户未登录',
				confirmText: '去登录',
				success: (res) => {
					if (res.confirm) {
						uni.navigateTo({
							url: '/pages/codelogin/codelogin'
						})
					} else if (res.cancel) {
						return
					}

				},

			});
			//此时应重新登录
			// console.log("goto--login")

			return res;
		} else {
			// console.log("33333")
			uni.showToast({
				title: res.msg == null ? "出错了" : res.msg,
				duration: 1500,
				mask: false,
				icon: 'none'
			});
			return res;
		}
	}

}

export default {
	install
}
