package com.younike.common.constant;

/**
 * 海康API接口
 *
 * @author chenpengfei
 */
public class HikConstant {

    /**
     * 成功返回CODE
     */
    public static final String RESULT_SUCCESS_CODE = "0";
    /**
     * 海康接口分页起始页
     */
    public static final int HIK_START_PAGE_NO = 1;
    /**
     * 海康单页最大数据
     */
    public static final int HIK_MAX_PAGE_SIZE = 1000;
    /**
     * 缩略图前缀
     */
    public static final String THUMB_PREFIX = "thumb_";

    /**
     * 电动车进电梯事件类型码
     */
//    public static final Long BIKE_ENTRY_EVENT = 1687553L;
    public static final Long BIKE_ENTRY_EVENT = 131594L;

    /**
     * 能力开放平台的网站路径
     */
    private static final String ARTEMIS_PATH = "/artemis";

    /**
     * 按事件类型订阅事件
     */
    public static final String API_EVENT_SUBSCRIPTION = ARTEMIS_PATH + "/api/eventService/v1/eventSubscriptionByEventTypes";

    /**
     * 按事件类型取消订阅事件
     */
    public static final String API_EVENT_UNSUBSCRIPTION = ARTEMIS_PATH + "/api/eventService/v1/eventUnSubscriptionByEventTypes";

    /**
     * 海康事件回调地址
     */
    public static final String HIK_EVENT_CB_URL = "https://elev.uxianxin.com/api/cameraEvent/subscribe";
  }
