package com.younike.common.utils.geo;

import lombok.Builder;
import lombok.Data;

import java.io.Serializable;

/**
 * 方形GEO定位数据
 *
 * @author chenpengfei
 */
@Data
@Builder
public class GeoSquare implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 最小维度
     */
    private Double minLat;

    /**
     * 最大维度
     */
    private Double maxLat;

    /**
     * 最小精度
     */
    private Double minLng;

    /**
     * 最大精度
     */
    private Double maxLng;
}
