package com.younike.hlpay.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel("预支付返回")
public class PaymentDto implements Serializable {
    private static final long serialVersionUID=1L;

    @ApiModelProperty("原生态JS支付信息")
    private String payInfo;

    @ApiModelProperty("签名")
    private String sign;
}
