package com.younike.wxpay.params;

import lombok.Data;

import javax.validation.constraints.NotBlank;

/** 订单商品详情 */
@Data
public class StoreInfo {

    @NotBlank(message = "商户侧门店编号不能为空")
    private String id;

    /* 商户侧门店名称 */
    private String name;

    /* 地区编码 */
    private String area_code;

    /* 详细地址 */
    private String address;

}
