package com.younike.system.domain;

import com.younike.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 门岗通行证核查记录对象
 *
 * @author dail
 * @date 2022-04-14
 */
@Data
public class AccessPasscodeVerifyRecord extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 门岗通行证核查记录id
     */
    private Long accessPasscodeVerifyRecordId;

    /**
     * 门岗通行证id
     */
    private Long accessPasscodeId;

    /**
     * 核查人手机号
     */
    private String verifierPhoneNum;

    /**
     * 核查人微信昵称
     */
    private String verifierWxNickname;

    /**
     * 核查人手机型号
     */
    private String verifierPhoneModel;

    /**
     * 删除标志（0代表存在 1代表删除）
     */
    private String delFlag;
}