package com.younike.system.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 柱状图
 * @author chenpengfei
 */
@Getter
@Setter
@AllArgsConstructor
public class BarInfo {

    /**
     * 横坐标数据
     */
    List<String> xAxisData;

    /**
     * 纵坐标数据
     */
    List<Long> seriesData;
}
