package com.younike.system.domain;

import com.younike.common.annotation.Excel;
import com.younike.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 评价维度对象 dimension
 * 
 * @author elev
 * @date 2022-01-04
 */
@Data
public class Dimension extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long dimensionId;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 删除标志（0代表存在 2代表删除） */
    private Integer delFlag;

    /** 预留字段1 */
    @Excel(name = "预留字段1")
    private String column1;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column2;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column3;


}
