package com.younike.system.domain;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 折线图
 * @author chenpengfei
 */
@Getter
@Setter
@AllArgsConstructor
public class LineInfo {

    /**
     * 横坐标数据
     */
    List<String> xAxisData;

    /**
     * 纵坐标数据
     */
    List<Long> seriesData;
}
