package com.younike.system.domain;

import com.younike.common.annotation.Excel;
import lombok.Data;
import com.younike.common.core.domain.BaseEntity;

/**
 * 店铺服务分类关联对象 merchant_category
 *
 * @author elev
 * @date 2022-01-11
 */
@Data
public class MerchantCategory extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 商户ID */
    @Excel(name = "商户ID")
    private Long merchantId;

    /** 服务分类ID */
    @Excel(name = "服务分类ID")
    private Long categoryId;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;


}