package com.younike.system.domain;

import com.younike.common.annotation.Excel;
import lombok.Data;
import com.younike.common.core.domain.BaseEntity;

/**
 * 店铺信息对象 merchant_log
 * 
 * @author elev
 * @date 2022-01-10
 */
@Data
public class MerchantLog extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** 商户ID */
    private Long merchantId;

    /** 原始商户状态 */
    @Excel(name = "原始商户状态")
    private String preState;

    /** 当前商户状态 */
    @Excel(name = "当前商户状态")
    private String nowState;

    /** 变更信息 */
    @Excel(name = "变更信息")
    private String modifyInfo;


}
