package com.younike.system.domain;

import com.younike.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 个体户结算资源对象
 *
 * @author dail
 * @date 2022-03-03
 */
@Data
public class PersonalMerchantSettleResource extends BaseEntity {
    private static final long serialVersionUID = 1L;


    /**
     * 个体户结算资源id
     */
    private Long personalMerchantSettleResourceId;

    /**
     * 个体户账单结算id
     */
    private Long personalSettleId;

    /**
     * 资源url
     */
    private String resourceUrl;

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    private String delFlag;

    /**
     * 备注
     */
    private String remark;

}