package com.younike.system.domain;

import com.younike.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 视频对象
 *
 * @author dail
 * @date 2022-04-13
 */
@Data
public class Video extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 视频id
     */
    private Long videoId;

    /**
     * 视频url
     */
    private String videoUrl;

    /**
     * 视频封面url
     */
    private String videoFaceUrl;

    /**
     * 视频分类id
     */
    private Long videoCategoryId;

    /**
     * 视频描述
     */
    private String videoDesc;

    /**
     * 服务人员id
     */
    private Long serverId;

    /**
     * 商家id
     */
    private Long merchantId;

    /**
     * 是否商家置顶(0：否； 1：是；)
     */
    private String isMerchantTop;

    /**
     * 是否运营置顶(0：否； 1：是；)
     */
    private String isOperationTop;

    /**
     * 删除标志（0代表存在 1代表已删除）
     */
    private String delFlag;
}