package com.younike.system.domain.vo;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @Description 服务评价维度信息
 * @Author dail
 * @Date 2022/1/11
 */
@Data
public class CommentDimensionVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 评价维度列表
     */
    private List<CateDimensionVo> cateDimensionVoList;

    /**
     * 评价可得优金豆数
     */
    private BigDecimal commentCoin;

    /**
     * 上传视频或图片可得优金豆数
     */
    private BigDecimal videoImageCoin;
}
