package com.younike.system.domain.vo;

import com.younike.system.domain.ServerTimeBook;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;
import java.util.List;

/**
 * 日期段落
 *
 * @author chenpengfei
 */
@Data
@ApiModel("预约日期实体")
public class DateSectionVO implements Serializable {

    /**
     * 星期
     */
    @ApiModelProperty("星期（0 ~ 6）")
    private int week;

    /**
     * 日期
     */
    @ApiModelProperty("日期")
    private String date;

    /**
     * 服务时间段集合
     */
    @ApiModelProperty("服务时间段集合")
    private List<ServerTimeBook> timeSectionList;
}
