package com.younike.system.domain.vo;

import com.younike.system.domain.GoodsComment;
import com.younike.system.domain.GoodsCommentResource;
import lombok.Data;

import java.util.List;

/**
 * 我的评价
 */
@Data
public class GoodsCommentVo extends GoodsComment {
    /**评分集合*/
    private List<GoodsCommentDimensionVo> gradeList;

    /**评价资源集合*/
    private List<GoodsCommentResource> resourceList;
    /**会员头像*/
    private String avatar;

    /**会员手机号*/
    private String phone;

    /**订单编号*/
    private String orderIndex;

    /**店铺名称*/
    private String merchantName;

    /**店铺编号*/
    private String merchantIndex;

    /**分类名称*/
    private String categoryName;

    /** 服务名称*/
    private String goodsName;

    /** 服务编号*/
    private String goodsIndex;

    /** 服务人员姓名*/
    private String serverName;

    /** 服务人员手机号*/
    private String serverPhone;

    /**
     * 是否为团购服务(0：否，为预订服务；1：是，即团购服务；)
     */
    private Integer isGroupGoods;
}
