package com.younike.system.domain.vo;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@Data
public class GoodsServerVO{

    private Long goodsId;
    @NotNull(message = "服务人员id不能为空")
    private Long serverId;
    @NotNull(message = "服务单价不能为空")
    private BigDecimal goodsServerPrice;
    private String realName;
    private String phone;
    private String serverLevel;
    /**
     * 商品服务人员头像
     */
    private String serverImgUrl;
}
