package com.younike.system.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.younike.common.annotation.Excel;
import com.younike.common.core.domain.BaseEntity;
import lombok.Data;

@Data
public class MerchantServerTimeSectionVo  extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private String sectionId;

    /**
     * 服务人员ID
     */
    @Excel(name = "服务人员ID")
    private String serverId;

    /**
     * 工作日
     */
    @Excel(name = "工作日")
    private String weeks;

    /**
     * 开始时间
     */
    @Excel(name = "开始时间")
    @JsonFormat(pattern = "HH:mm", timezone = "GMT+8")
    private String hoursFrom;

    /**
     * 结束时间
     */
    @Excel(name = "结束时间")
    @JsonFormat(pattern = "HH:mm", timezone = "GMT+8")
    private String hoursEnd;

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    private String delFlag;

    /**
     * 删除标志（0代表不启用 1代表启用）
     */
    private String isEnable;

    /**
     * 预留字段1
     */
    @Excel(name = "预留字段1")
    private String column1;

    /**
     * 预留字段2
     */
    @Excel(name = "预留字段2")
    private String column2;

    /**
     * 预留字段2
     */
    @Excel(name = "预留字段2")
    private String column3;

}
