package com.younike.system.domain.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Description 运营管理后台首页数据统计对象
 * @Author dail
 * @Date 2022/2/10
 */

@Data
public class OperationIndexStatisticsVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 用户数据统计对象
     */
    private UserCountStatisticsVO userCountStatisticsVO;

    /**
     * 今日订单数据
     */
    private TodayOrderVO todayOrderVo;

    /**
     * 本周Top5商家订单数据对象
     */
    private List<MerchantOrderOfWeekVO> merchantOrderOfWeekVOList;

    /**
     * 近30天订单数据
     */
    private List<OrderStatisticsVO> orderStatisticsVOList;

}
