package com.younike.system.domain.vo;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 个体户结算金额信息VO对象
 *
 * @author dail
 * @date 2022-03-03
 */
@Data
public class PersonalMerchantSettleAmountVO implements Serializable {
    private static final long serialVersionUID = 1L;


    /**
     *  待结算金额
     */
    private BigDecimal pendingSettlementAmount;

    /**
     *  已支付金额
     */
    private BigDecimal paidAmount;

    /**
     * 总金额
     */
    private BigDecimal sunAmout;
}
