package com.younike.system.domain.vo;

import com.younike.common.annotation.Excel;
import com.younike.system.domain.PublishQuoteReply;
import lombok.Data;

import java.util.List;

/**
 * 留言返回包装类
 */
@Data
public class PublishQuoteReplyVo extends PublishQuoteReply {

    //回复集合
   private List<PublishQuoteReplyVo> replyVoList;


    /**
     * 回复人头像（服务人员）
     */
     private String serverAvatar;

    /**
     * 服务人员姓名
     */
    private String serverName;

    /**
     * 回复人头像（顾客）
     */
    private String avatar;

    /**
     * 顾客姓名
     */
    private String name;


//    /** 回复回复标志（0代表顾客回复 1代表服务人员回复） */
//    @Excel(name = "回复回复标志", readConverterExp = "0=代表顾客回复,1=代表服务人员回复")
//    private String replyReplyType;
//    /**
//     * 回复回复人头像（服务人员）
//     */
//    private String replySAvatar;
//
//    /**
//     * 回复回复服务人员姓名
//     */
//    private String replyServerName;
//
//    /**
//     * 回复回复人头像（顾客）
//     */
//    private String replyAvatar;
//
//    /**
//     * 回复顾客姓名
//     */
//    private String replyName;
}
