package com.younike.system.domain.vo;

import com.younike.system.domain.Merchant;
import com.younike.system.domain.PublishQuote;
import com.younike.system.domain.ServerUser;
import lombok.Data;

import java.util.List;

/**
 * 需求报价返回包装类
 */
@Data
public class PublishQuoteVo extends PublishQuote {
    /**
     * 报价单位
     */
    private String monad;

    /**
     * 留言集合
     */
    private List<PublishQuoteReplyVo> quoteReplyVoList;

    /**
     * 报价人员数据
     */
    private ServerUserListVo serverUser;

    /**
     * 报价人员所属商户数据
     */
    private Merchant merchant;
}
