package com.younike.system.domain.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * @Description 运营管理后台首页用户数据对象
 * @Author dail
 * @Date 2022/2/10
 */

@Data
public class UserCountStatisticsVO implements Serializable {
    private static final long serialVersionUID = 1L;


    /**
     * 商家数量
     */
    private Integer merchantCount;

    /**
     * 审核中，审核失败的商家数据
     */
    private Integer merchantAiditCount;

    /**
     * 个人商家数量
     */
    private Integer personalMerchantCount;

    /**
     * 服务人员数量
     */
    private Integer serverUserCount;

    /**
     * 顾客数量
     */
    private Integer memberCount;

}
