package com.younike.system.mapper;

import com.younike.system.domain.UjdChangeRecord;
import com.younike.system.param.UjdChangeRecordQueryParam;
import com.younike.system.param.UjdChangeRedordQueryParam;

import java.util.List;

public interface UjdChangeRecordMapper {
    /**
     * 新增优金豆变动记录
     *
     * @param ujChangeRecord
     * @return
     */
    int insertUjdChangeRecord(UjdChangeRecord ujChangeRecord);

    /**
     * 删除优金豆变动记录
     *
     * @param personalMerchantSettleId
     * @return
     */
    int deleteByUjdChangeRecordId(Long personalMerchantSettleId);

    /**
     * 修改优金豆变动记录
     *
     * @param ujChangeRecord
     * @return
     */
    int updateUjdChangeRecord(UjdChangeRecord ujChangeRecord);

    /**
     * 查询优金豆变动记录分页列表
     *
     * @param queryParam
     * @return
     */
    List<UjdChangeRecord> pageList(UjdChangeRecordQueryParam queryParam);

    /**
     * 查询保证金账单list
     * @param ujdChangeRedordQueryParam
     * @return
     */
    List<UjdChangeRecord> ujdlist(UjdChangeRedordQueryParam ujdChangeRedordQueryParam);



}
