package com.younike.system.param;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class CommentQueryParam implements Serializable {
    /**
     * 商家/个人ID
     */
    private String merchantId;

    /**
     * 商家/个人编号
     */
    private String merchantIndex;

    /**
     * 商家/个体户姓名
     */
    private String merchantName;

    /**
     * 服务ID
     */
    private String goodsId;

    /**
     * 服务主题
     */
    private String name;

    /**
     * 服务编号
     */
    private String goodsIndex;

    /**
     * 服务人员手机号
     */
    private String serverPhone;

    /**
     * 服务人员姓名
     */
    private String realName;

    /**
     * 用户手机号
     */
    private String memberPhone;

    /**
     * 分类ID
     */
    private String categoryId;

    /**
     * 评分开始
     */
    private Integer scoreStart;

    /**
     * 评分结束
     */
    private Integer scoreEnd;

    /**
     * 评价开始时间
     */
    private String beginTime;

    /**
     * 评价结束时间
     */
    private String endTime;

    /**
     * 订单类型列表
     */
    private List<String> orderTypeList;
}
