//package com.younike.system.param;
//
//import com.fasterxml.jackson.annotation.JsonFormat;
//import com.younike.common.annotation.Excel;
//import io.swagger.annotations.ApiModelProperty;
//import lombok.Data;
//
//import java.io.Serializable;
//import java.math.BigDecimal;
//import java.time.LocalDateTime;
//
///**
// * 订单传参（已废弃）
// */
//@Data
//public class OrderParam implements Serializable {
//
//    /**
//     * 用户ID
//     */
//    @Excel(name = "用户ID")
//    private Long memberId;
//
//    /**
//     * 服务人员ID
//     */
//    @Excel(name = "服务人员ID")
//    private Long serverId;
//
//    /**
//     * 商户ID
//     */
//    @Excel(name = "商户ID")
//    private Long merchantId;
//
//    /**
//     * 商户名
//     */
//    private String merchantName;
//
//    /**
//     * 服务地址id
//     */
//    private Long addressId;
//
//    /**
//     * 商品id
//     */
//    private Long goodsId;
//
//    /**
//     * 订单商品数量
//     */
//    private Integer goodsCounts;
//
//    /**
//     * 产品金币
//     */
//    /** 商品金币（冗余） */
//    private Long goodsCoin;
//    /**
//     * 预约起始时间
//     */
//    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
//    @Excel(name = "预约起始时间", width = 30, dateFormat = "yyyy-MM-dd")
//    private LocalDateTime appointmentStartTime;
//
//    /**
//     * 预约结束时间
//     */
//    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
//    @Excel(name = "预约结束时间", width = 30, dateFormat = "yyyy-MM-dd")
//    private LocalDateTime appointmentEndTime;
//
//    /**
//     * 是否已结算
//     */
//    @Excel(name = "是否已结算")
//    private Integer isSettle;
//
//    /**
//     * 订单金额
//     */
//    @Excel(name = "订单金额")
//    private BigDecimal orderAmount;
//
//    /**
//     * 优金豆抵扣
//     */
//    @Excel(name = "优金豆抵扣")
//    private Integer beanAmount;
//
//    /**
//     * 用户优惠券ID
//     */
//    @Excel(name = "用户优惠券ID")
//    private String memberCouponId;
//
//    /**
//     * 优惠金额
//     */
//    @Excel(name = "优惠金额")
//    private BigDecimal couponAmount;
//
//    /**
//     * 实付总价
//     */
//    @Excel(name = "实付总价")
//    private BigDecimal totalAmount;
//
//
//    /**
//     * 支付方式 code 001微信 002支付宝
//     */
//    @Excel(name = "支付方式 code")
//    private String payWay;
//
//    /**
//     * 订单备注
//     */
//    @Excel(name = "订单备注")
//    private String memo;
//
//    /**
//     * 订单类型 001家政 002维修
//     */
//    private String orderType;
//
//    /**
//     * 商品单价
//     */
//    private BigDecimal price;
//
//    /**
//     * 单次服务标准时长
//     */
//    private BigDecimal singleTime;
//
//    /**
//     * 扣除积分手机号
//     */
//    private String phone;
//
//    /**
//     * 订单id
//     */
//    private Long orderId;
//
//    /**
//     * 追加服务金额
//     */
//    private BigDecimal addAmount;
//
//    /**
//     * 追加服务付款方式
//     */
//    private String addPayWay;
//
//    /**
//     * 追加服务数量
//     */
//    private Integer addCounts;
//
//    @ApiModelProperty("P4:支付类型（小程序：APPLET；公众号：PUBLIC；SDK：SDK预下单）")
//    private String payType;
//    /**
//     * 用户登录凭证
//     *
//     * 开发者需要在开发者服务器后台调用 auth.code2Session，使用 code 换取 openid、unionid、session_key 等信息
//     */
//    @ApiModelProperty("微信用户登录凭证")
//    private String code;
//
//
//
//}
