package com.younike.system.param;

import lombok.Data;

import java.io.Serializable;

/**
 * 团购服务预约下单
 */
@Data
public class OrderGroupParam implements Serializable {
    /**
     * 会员id
     */
    private Long memberId;

    /**
     * 服务id
     */
    private Long goodsId;

    /**
     * 服务人员id
     */
    private Long serverId;

    /**
     * 商家id
     */
    private Long merchantId;

    /**
     * 商品规格id
     */
    private Long goodsSpecificationId;
    /**
     * 服务地址id
     */
    private Long addressId;

    /**
     * 备注
     */
    private String memo;
    /**
     * 扣除积分手机号
     */
    private String phone;

    /**
     * 优金豆抵扣
     */
    private Integer beanAmount;

    /**
     * 1：家政；2：维修
     * bizType
     */
    private Integer bizType;
}
