package com.younike.system.param;

import com.younike.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * @author Dail
 */
@Data
public class OrderQueryParam extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 商家/个人ID
     */
    private String merchantId;

    /**
     * 商家/个人编号
     */
    private String merchantIndex;

    /**
     * 订单编号
     */
    private String orderIndex;

    /**
     * 订单状态
     */
    private String orderState;

    /**
     * 订单类型
     */
    private String orderType;


    /**
     * 商家/个体户姓名
     */
    private String merchantName;

    /**
     * 服务ID
     */
    private String goodsId;

    /**
     * 服务主题
     */
    private String goodsName;

    /**
     * 服务人员名称
     */
    private String serverName;

    /**
     * 服务人员手机号
     */
    private String serverPhone;

    /**
     * 用户手机号
     */
    private String memberPhone;

    /**
     * 分类ID
     */
    private String categoryId;

    /**
     * 服务主体类型
     */
    private Integer merchantType;

    /**
     * 是否追加服务
     */
    private Integer isAdd;

    /**
     * 状态
     */
    private String status;

    /**
     * 下单开始时间
     */
    private String beginTime;

    /**
     * 下单结束时间
     */
    private String endTime;

    /**
     * 是否追加服务
     */
    private String homeAdd;

    /**
     * 是否追加费用
     */
    private String repairAdd;

    /**
     * 订单核销码
     */
    private String orderVerificationCode;
}
