package com.younike.system.param;

import com.younike.system.domain.PersonalMerchantSettle;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Description 个体户账单结算参数
 * @Author dail
 * @Date 2022/3/3
 */
@Data
@ApiModel("个体户账单结算参数")
public class PersonalMerchantOrderSettleParam implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 个体户账单结算信息列表
     */
    private List<PersonalMerchantSettle> personalMerchantSettleList;

    /**
     * 资源url
     */
    private String resourceUrl;
}
