package com.younike.system.param;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description 个体户账单结算列表查询参数
 * @Author dail
 * @Date 2022/3/3
 */
@Data
@ApiModel("个体户账单结算列表查询参数")
public class PersonalMerchantSettleQueryParam implements Serializable {
    private static final long serialVersionUID = 1L;


    /**
     * 商家id
     */
    private Long merchantId;
    /**
     * 查询年月开始
     */
    private String yearMonthStart;

    /**
     * 查询年月结束
     */
    private String yearMonthEnd;

    /**
     * 个体户编号
     */
    private String merchantIndex;

    /**
     * 个体户姓名
     */
    private String merchantName;

    /**
     * 状态
     */
    private String settleStatus;
}
