package com.younike.system.param;

import lombok.Data;

import java.io.Serializable;

/**
 * 优金豆变动记录查询参数
 *
 * @author dail
 * @date 2022-03-02
 */
@Data
public class UjdChangeRecordQueryParam implements Serializable {

    private static final long serialVersionUID = 1L;


    /**
     * 商家/个体户编号
     */
    private String merchantIndex;

    /**
     * 商家/个体户名称
     */
    private String merchantName;

    /**
     * 服务编号
     */
    private String goodsIndex;

    /**
     * 服务名称
     */
    private String goodsName;

    /**
     * 变动时间开始
     */
    private String changeTimeStart;

    /**
     * 变动时间结束
     */
    private String changeTimeEnd;
}
