package com.younike.system.task;

import com.google.common.collect.Lists;
import com.younike.common.utils.SecurityUtils;
import com.younike.system.domain.ServerTimeBook;
import com.younike.system.domain.ServerTimeSection;
import com.younike.system.service.*;
import lombok.extern.log4j.Log4j2;
import org.apache.commons.collections4.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.time.DayOfWeek;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.LocalTime;
import java.util.*;

/**
 * 服务预约时间生成任务
 *
 * @author chenpengfei
 */
@Component("serverTimeBookTask")
@Log4j2
public class ServerTimeBookTask {

    @Autowired
    private IServerTimeBookService serverTimeBookService;

    public void generate(){
        serverTimeBookService.generate();
    }
}
