import request from '@/utils/request'

// 根据订单信息生成门岗二维码
export function saveAccessPasscode(data) {
    return request({
        url: '/merchant/accessPasscode/saveAccessPasscode',
        method: 'post',
        data
    })
}

// 根据订单ID和核销码查询门岗二维码信息
export function getByOrderIdAndOrderVerificationCode(params) {
    return request({
        url: '/merchant/accessPasscode/getByOrderIdAndOrderVerificationCode',
        method: 'get',
        params
    })
}
/**
 * 门岗通行记录列表
 * @param {*} params 
 * @returns 
 */
export function accessPasscodeList(params) {
    return request({
      url: '/admin/accessPasscode/list',
      method: 'get',
      params: params
    })
  }
