import request from '@/utils/request'

// 根据订单id查询订单核销记录列表
export function listRecordByOrderId(params) {
    return request({
        url: '/merchant/verificationRecord/list',
        method: 'get',
        params
    })
}

// 根据订单id查询订单核销记录VO列表
export function listRecordVOByOrderId(params) {
    return request({
        url: '/merchant/verificationRecord/listVo',
        method: 'get',
        params
    })
}
