import request from '@/utils/request'

// 查询首页轮播列表
export function listPublish(query) {
  return request({
    url: '/merchant/publish/list',
    method: 'get',
    params: query
  })
}

// 查询回复列表
export function listPublishReply(query) {
  return request({
    url: '/merchant/publish/reply/list',
    method: 'get',
    params: query
  })
}
// 查询报价回复列表
export function listQuote(query) {
  return request({
    url: '/merchant/publish/quoteList',
    method: 'get',
    params: query
  })
}


// 增加留言
export function addReply(data) {
  return request({
    url: '/merchant/publish/insertReply',
    method: 'post',
    data: data
  })
}

// 删除订单主
export function delPublishReply(replyId) {
  return request({
    url: '/merchant/publish/' + replyId,
    method: 'delete'
  })
}
